Skip to main content
GET
Retrieve a pipeline

Authorizations

Authorization
string
header
required

A workspace API token (sk_live_...) or an OAuth access token (oat_live_...). Create workspace tokens in Settings > API. Send either as Authorization: Bearer <token>.

Path Parameters

pipeline_id
string
required

Unique identifier for a pipeline.

Pattern: ^pipe_[0-9a-f]{32}$
Example:

"pipe_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4"

Response

Successful Response

A sales pipeline and its ordered stages.

created_at
string<date-time>
required
id
string
required

Unique identifier for a pipeline.

Pattern: ^pipe_[0-9a-f]{32}$
Example:

"pipe_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4"

name
string
required
updated_at
string<date-time>
required
object
string
default:pipeline
Allowed value: "pipeline"
stages
PipelineStage · object[]